# cpm_status – Get status and parameters from WTI OOB and PDU devices

New in version 2.7.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Get various status and parameters from WTI OOB and PDU devices.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---

_terms
- / required

Choices:
- temperature
- firmware
- status
- alarms

This is the Action to send the module.

cpm_password - / required |  |  | This is the Basic Authentication Password of the WTI device to send the module.
cpm_url - / required |  |  | This is the URL of the WTI device to send the module.
cpm_username - / required |  |  | This is the Basic Authentication Username of the WTI device to send the module.

use_https
boolean

Choices:
- no
- yes ←

Designates to use an https connection or http connection.

use_proxy boolean | Default: "yes" |  | Flag to control if the lookup will observe HTTP proxy environment variables when present.

validate_certs
boolean

Choices:
- no
- yes ←

If false, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    # Get temperature
      - name: run Get Device Temperature
      - debug:
            var: lookup('cpm_status',
                    'temperature',
                    validate_certs=true,
                    use_https=true,
                    cpm_url='rest.wti.com',
                    cpm_username='rest',
                    cpm_password='restfulpassword')

    # Get firmware version
      - name: Get the firmware version of a given WTI device
      - debug:
            var: lookup('cpm_status',
                    'firmware',
                    validate_certs=false,
                    use_https=true,
                    cpm_url="192.168.0.158",
                    cpm_username="super",
                    cpm_password="super")

    # Get status output
      - name: Get the status output from a given WTI device
      - debug:
            var: lookup('cpm_status',
                    'status',
                    validate_certs=true,
                    use_https=true,
                    cpm_url="rest.wti.com",
                    cpm_username="rest",
                    cpm_password="restfulpassword")

    # Get Alarm output
      - name: Get the alarms status of a given WTI device
      - debug:
            var: lookup('cpm_status',
                    'alarms',
                    validate_certs=false,
                    use_https=false,
                    cpm_url="192.168.0.158",
                    cpm_username="super",
                    cpm_password="super")

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_list string | always | The output JSON returned from the commands sent

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]
- This lookup is maintained by the Ansible Community. [community]

### Authors

- Western Telematic Inc. (@wtinetworkgear)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.